\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{control}[2005/03/01 Control standard class]
\LoadClass[twoside,fleqn]{article}
\RequirePackage{control-title}
\RequirePackage{amsthm}
% art10.sty  9-Jun-87

\lineskip 1pt \normallineskip 1pt
\def\baselinestretch{1}

\def\@normalsize{\@setsize\normalsize{12pt}\xpt\@xpt
\abovedisplayskip 10pt plus2pt minus5pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6pt plus3pt
minus3pt\let\@listi\@listI} 
\def\small{\@setsize\small{11pt}\ixpt\@ixpt
\abovedisplayskip 8.5pt plus 3pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus2pt\belowdisplayshortskip 4pt plus2pt minus 2pt
\def\@listi{\topsep 4pt plus 2pt minus 2pt\parsep 2pt plus 1pt minus 1pt
\itemsep \parsep}}
\def\footnotesize{\@setsize\footnotesize{9.5pt}\viiipt\@viiipt
\abovedisplayskip 6pt plus 2pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus 1pt\belowdisplayshortskip 3pt plus 1pt minus
2pt
\def\@listi{\topsep 3pt plus 1pt minus 1pt\parsep 2pt plus 1pt minus 1pt
\itemsep \parsep}}
\def\scriptsize{\@setsize\scriptsize{8pt}\viipt\@viipt}
\def\tiny{\@setsize\tiny{6pt}\vpt\@vpt}
\def\large{\@setsize\large{14pt}\xiipt\@xiipt}
\def\Large{\@setsize\Large{18pt}\xivpt\@xivpt}
\def\LARGE{\@setsize\LARGE{22pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{25pt}\xxpt\@xxpt}
\def\Huge{\@setsize\Huge{30pt}\xxvpt\@xxvpt}
\normalsize 

\if@twoside \oddsidemargin 63pt \evensidemargin 63pt \marginparwidth 107pt
\else \oddsidemargin 63pt \evensidemargin 63pt
 \marginparwidth 90pt 
\fi
\marginparsep 11pt 
 \topmargin 27pt \headheight 12pt \headsep 25pt \footskip 30pt 

\textheight = 43\baselineskip
\advance\textheight by \topskip
\textwidth 345pt \columnsep 10pt \columnseprule 0pt 

\footnotesep 6.65pt 
\skip\footins 9pt plus 4pt minus 2pt 
%\floatsep 12pt plus 2pt minus 2pt \textfloatsep 20pt plus 2pt minus 4pt
%\intextsep 12pt plus 2pt minus 2pt \@maxsep 20pt \dblfloatsep 12pt plus 2pt
%minus 2pt \dbltextfloatsep 20pt plus 2pt minus 4pt \@dblmaxsep 20pt 
%\@fptop 0pt plus 1fil \@fpsep 8pt plus 2fil \@fpbot 0pt plus 1fil 
%\@dblfptop 0pt plus 1fil \@dblfpsep 8pt plus 2fil \@dblfpbot 0pt plus 1fil
\marginparpush 5pt 

\parskip 0pt plus 1pt \parindent 15pt \partopsep 2pt plus 1pt minus 1pt 
\@lowpenalty 51 \@medpenalty 151 \@highpenalty 301 
\@beginparpenalty -\@lowpenalty \@endparpenalty -\@lowpenalty \@itempenalty
-\@lowpenalty 


\def\part{\par \addvspace{4ex} \@afterindentfalse \secdef\@part\@spart} 
\def\@part[#1]#2{\ifnum \c@secnumdepth >\m@ne \refstepcounter{part}
\addcontentsline{toc}{part}{\thepart \hspace{1em}#1}\else
\addcontentsline{toc}{part}{#1}\fi { \parindent 0pt \raggedright 
 \ifnum \c@secnumdepth >\m@ne \Large \bf Part \thepart \par \nobreak \fi \huge
\bf #2\markboth{}{}\par } \nobreak \vskip 3ex \@afterheading } 
\def\@spart#1{{\parindent 0pt \raggedright 
 \huge \bf 
 #1\par} \nobreak \vskip 3ex \@afterheading } 
\def\section{\@startsection {section}{1}{\z@}{-3.5ex plus -1ex minus 
 -.2ex}{2.3ex plus .2ex}{\Large\bf}}
\def\subsection{\@startsection{subsection}{2}{\z@}{-3.25ex plus -1ex minus 
 -.2ex}{1.5ex plus .2ex}{\large\bf}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{-3.25ex plus 
-1ex minus -.2ex}{1.5ex plus .2ex}{\normalsize\bf}}
\def\paragraph{\@startsection
 {paragraph}{4}{\z@}{3.25ex plus 1ex minus .2ex}{-1em}{\normalsize\bf}}
\def\subparagraph{\@startsection
 {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus 
 .2ex}{-1em}{\normalsize\bf}}


\setcounter{secnumdepth}{3}

\def\appendix{\par
 \setcounter{section}{0}
 \setcounter{subsection}{0}
 \def\thesection{\Alph{section}}}


\leftmargini 25pt
\leftmarginii 22pt \leftmarginiii 18.7pt \leftmarginiv 17pt \leftmarginv 10pt
\leftmarginvi 10pt
\leftmargin\leftmargini
\labelsep 5pt
\labelwidth\leftmargini\advance\labelwidth-\labelsep
\def\@listI{\leftmargin\leftmargini \parsep 4pt plus 2pt minus 1pt\topsep 8pt
plus 2pt minus 4pt\itemsep 4pt plus 2pt minus 1pt}
\let\@listi\@listI
\@listi 
\def\@listii{\leftmargin\leftmarginii
 \labelwidth\leftmarginii\advance\labelwidth-\labelsep
 \topsep 4pt plus 2pt minus 1pt
 \parsep 2pt plus 1pt minus 1pt
 \itemsep \parsep}
\def\@listiii{\leftmargin\leftmarginiii
 \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
 \topsep 2pt plus 1pt minus 1pt 
 \parsep \z@ \partopsep 1pt plus 0pt minus 1pt
 \itemsep \topsep}
\def\@listiv{\leftmargin\leftmarginiv
 \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
\def\@listv{\leftmargin\leftmarginv
 \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
\def\@listvi{\leftmargin\leftmarginvi
 \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}

%\def\thesection {\arabic{section}}
%\def\thesubsection {\thesection\arabic{subsection}}
%\def\thesubsubsection {\thesubsection\arabic{subsubsection}}
%\def\theparagraph {\thesubsubsection\arabic{paragraph}}
%\def\thesubparagraph {\theparagraph\arabic{subparagraph}}

% To dopisane 
\def\section{\@startsection{section}{2}{\z@}{-3.25ex plus -1ex minus 
 -.2ex}{1.5ex plus .2ex}{\large\bf}}
\def\subsection{\@startsection{subsection}{3}{\z@}{-3.25ex plus 
-1ex minus -.2ex}{1.5ex plus .2ex}{\normalsize\bf}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{-3.25ex plus 
-1ex minus -.2ex}{1.5ex plus .2ex}{\normalsize\bf}}
\def\paragraph{\@startsection
 {paragraph}{4}{\z@}{3.25ex plus 1ex minus .2ex}{-1em}{\normalsize\bf}}
\def\subparagraph{\@startsection
 {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus 
 .2ex}{-1em}{\normalsize\bf}}

\pagestyle{phcheadings}
\pagenumbering{arabic} 
%\newcommand{\kwadr}{\vrule height7pt width7pt depth0pt}
%\def\qed{{\hfill\kwadr}}

%\newcommand{\bproof}{\noindent{\it Proof. }}
%\newcommand{\neproof}{\\\hspace*{\fill}\kwadr\\[1ex]}
%\newcommand{\eproof}{\hspace*{\fill}\kwadr\\[1ex]}
% "box" symbols at end of proofs
\def\QEDclosed{\mbox{\rule[0pt]{1.3ex}{1.3ex}}} % for a filled box
%\def\proof{\noindent{\itshape Proof.}}
%\def\endproof{\hspace*{\fill}~\QEDclosed\\[1ex]}
\renewenvironment{proof}[1][Proof]{\noindent{\itshape #1.}\hspace{3pt}}
{\hspace*{\fill}~\QEDclosed} %\\[0.5ex]}
%\def\thesection {\arabic{section}}
%\def\thesubsection {\thesection\arabic{subsection}}
%\def\thesubsubsection {\thesubsection\arabic{subsubsection}}
%\def\theparagraph {\thesubsubsection\arabic{paragraph}}
%\def\thesubparagraph {\theparagraph\arabic{subparagraph}}

\renewcommand{\@seccntformat}[1]{\@nameuse{the#1}.\quad}
\def\section{\@startsection{section}{2}{\z@}{-3.25ex plus -1ex minus 
 -.2ex}{1.5ex plus .2ex}{\large\bf}}
\def\subsection{\@startsection{subsection}{3}{\z@}{-3.25ex plus 
-1ex minus -.2ex}{1.5ex plus .2ex}{\normalsize\bf}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{-3.25ex plus 
-1ex minus -.2ex}{1.5ex plus .2ex}{\normalsize\bf}}
\def\paragraph{\@startsection
 {paragraph}{4}{\z@}{3.25ex plus 1ex minus .2ex}{-1em}{\normalsize\bf}}
\def\subparagraph{\@startsection
 {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus 
 .2ex}{-1em}{\normalsize\bf}}

\if@twoside \oddsidemargin 63pt \evensidemargin 63pt \marginparwidth 107pt
\else \oddsidemargin 63pt \evensidemargin 63pt
 \marginparwidth 90pt 
\fi

\catcode`\@=11
%\renewcommand{\@listi}{\leftmargin\leftmargini \parsep 0pt \topsep 0pt \itemsep 0pt}
\def\@listi{\leftmargin\leftmargini \parsep 0pt \topsep 0pt \itemsep 0pt}
\catcode`\@=12

\def\thebibliography#1{\section*{\normalsize\bf References\@mkboth
  {REFERENCES}{REFERENCES}}\list
  {[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}\leftmargin\labelwidth
    \advance\leftmargin\labelsep
    \usecounter{enumi}}
    \def\newblock{\hskip .11em plus .33em minus .07em}
    \sloppy\clubpenalty4000\widowpenalty4000
    \sfcode`\.=1000\relax}
\let\endthebibliography=\endlist

\newtheorem{theorem}{\sc Theorem}%[section]
\newtheorem{algorithm}{\sc Algorithm}%[section]
\newtheorem{assumption}{\sc Assumption}%[section]
\newtheorem{proposition}{\sc Proposition}%[section]
\newtheorem{corollary}{\sc Corollary}%[section]
\newtheorem{definition}{\sc Definition}%[section]
\newtheorem{relation}{\sc Relation}%[section]
\newtheorem{case}{\sc Case}%[section]
\newtheorem{problem}{\sc Problem}%[section]
\newtheorem{lemma}{\sc Lemma}%[section]
\newtheorem{example}{\sc Example}%[section]
\newtheorem{remark}{\sc Remark}%[section]
\newtheorem{hypothesis}{\sc Hypothesis}%[section]